### Method

# Camel OfflineSettings set_stay_synchronized

since: 3.2

#### Declaration [src]

    void
    camel_offline_settings_set_stay_synchronized (
      CamelOfflineSettings* settings,
      gboolean stay_synchronized
    )

#### Description [src]

Sets whether to synchronize the local cache with the remote server before switching to offline mode, so the store’s content can still be read while offline.

Available since: 3.2

Sets property | `Camel.OfflineSettings:stay-synchronized`

#### Parameters

`stay_synchronized`

  Type: `gboolean`

  Whether to stay synchronized with the remote server.